Summary: Alt-N Technologies DKIM Project
Name: libdkim
Version: 1.0.17
Release: 2.1%{?dist}
License: Apache Software License
Group: System Environment/Libraries
URL: http://libdkim.sourceforge.net/
#Source0: http://downloads.sourceforge.net/libdkim/%{name}-%{version}.zip
Source0: http://duncanthrax.net/exim-experimental/%{name}-%{version}-tk.tar.gz
#Patch0: libdkim-1.0.12-fixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: dos2unix
BuildRequires: gcc-c++
BuildRequires: openssl-devel >= 0.9.7i
Provides: libdkim = %{version}-%{release}

%description
This project is a C++ library which allows incorporating DKIM into an
existing MTA or other application. It provides full support for
signing, verifying, and SSP. It is compliant with the allman-01 set of
base and ssp drafts.

%prep
%setup -q -n %{name}-%{version}-tk
find . -type f -exec dos2unix -k "{}" \;

%build
make -C src CFLAGS="-c %{optflags} -fPIC" LIBS="-lcrypto -lresolv"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
install -m 0644 -p src/libdkim.a %{buildroot}%{_libdir}
install -m 0644 -p src/dkim.h %{buildroot}%{_includedir}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_includedir}/*
%{_libdir}/libdkim.a

%changelog
* Tue May 12 2009 Josko Plazonic <plazonic@math.princeton.edu>
- exim needs an older version, using Axel's spec file

* Sat Aug 16 2008 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.19.

* Fri Dec 29 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
